$ErrorActionPreference = 'Stop'; # stop on all errors

$packageversion

$packagename = 'coapcli'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

# paths to zip files
$zip32bit = Join-Path $toolsDir coap-cli_"$packageversion"_windows_32bit.zip
$zip64bit = Join-Path $toolsDir coap-cli_"$packageversion"_windows_64bit.zip

# paths to 32/64bit dirs to extract zip files
$dir32bit = Join-Path $toolsDir '32bit'
$dir64bit = Join-Path $toolsDir '64bit'

# paths to the .exe 
$file32bit = Join-Path $dir32bit 'coap'
$file64bit = Join-Path $dir64bit 'coap'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE' #only one of these: exe, msi, msu
  file          = $file32bit
  file64        = $file64bit
  softwareName  = 'coap*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  silentArgs    = "version"
  validExitCodes= @(0, 3010, 1641)
}

Get-ChocolateyUnzip $zip32bit $dir32bit
Get-ChocolateyUnzip $zip64bit $dir64bit

Install-ChocolateyInstallPackage @packageArgs # https://docs.chocolatey.org/en-us/create/functions/install-chocolateyinstallpackage